### File

`packages/components/eui-table/selectable-row/eui-table-selectable-row.component.ts`

### Description

Component used internally by `eui-table` to make a row selectable.

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

selector | `tr[isSelectable]`
imports | `EUI_INPUT_CHECKBOX`
templateUrl | `./eui-table-selectable-row.component.html`

### Index

###### Methods
onClickRow Public toggleCheckedState
###### Inputs
isChecked isKeyboardSelectable isSelectable
###### HostBindings
class
###### HostListeners
click
###### Accessors
cssClasses

### Inputs

isChecked
Type : `boolean`
Default value : `false`
Wheter the row is selected.

isKeyboardSelectable
Type : `boolean`
Default value : `false`
Wheter the selection can be done with the keyboard.

isSelectable
Type : `any`
Data of the row.

### HostBindings

class
Type : `string`

### HostListeners

click
Arguments : `'$event'`
`click(event: PointerEvent)`
Keyboard event handler for selecting rows. Parameters :
Name | Optional | Description
event | No | Keyboard event

### Methods

onClickRow
`onClickRow(event: PointerEvent)`
Decorators : `@HostListener('click', ['$event'])`
Keyboard event handler for selecting rows. Parameters :
Name | Type | Optional | Description
event | `PointerEvent` | No | Keyboard event
Returns : `void`

Public toggleCheckedState
`toggleCheckedState(e: any)`
Handle the change of the selected status. Parameters :
Name | Type | Optional | Description
e | `any` | No | Change Event
Returns : `void`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""